import { Button as FoundationButton } from '@ni/fast-foundation';
import type { StepPattern } from '../patterns/step/types';
import { StepInternals } from '../patterns/step/models/step-internals';
import { StepSeverity } from './types';
declare global {
    interface HTMLElementTagNameMap {
        'nimble-step': Step;
    }
}
declare const Step_base: (abstract new (...args: any[]) => {
    severity: import("../patterns/severity/types").Severity;
    severityText?: string;
    severityHasOverflow: boolean;
    readonly $fastController: import("@ni/fast-element").Controller;
    $emit(type: string, detail?: any, options?: Omit<CustomEventInit, "detail">): boolean | void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
}) & typeof FoundationButton;
/**
 * A nimble-styled step for a stepper
 */
export declare class Step extends Step_base implements StepPattern {
    /**
     * @public
     * @remarks
     * HTML Attribute: disabled
     */
    severity: StepSeverity;
    /**
     * @public
     * @remarks
     * HTML Attribute: readonly
     */
    readOnly: boolean;
    /**
     * @public
     * @remarks
     * HTML Attribute: selected
     */
    selected: boolean;
    /**
     * @public
     * @remarks
     * HTML Attribute: tabindex
     */
    tabIndex: number;
    /**
     * @internal
     */
    readonly stepInternals: StepInternals;
    /**
     * @internal
     */
    onClick(e: Event): boolean;
}
export declare const stepTag = "nimble-step";
export {};
